# setProfileVisibility

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| PUT | https://api.thomas.co/v1/profile-visibility |

| Field | Value |
|---|---|
| operationId | setProfileVisibility |
| method | PUT |
| server | https://api.thomas.co/v1 |
| path | /profile-visibility |
| tags | `Profile Visibility` |
| summary | Set the caller's profile visibility |
| badges | None |

## Request Parameters

None.

## Request Body

| Content type | Schema refs |
|---|---|
| application/json | #/components/schemas/UpdateProfileVisibilityBodyDto |

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | The updated profile visibility row | #/components/schemas/ProfileVisibilityResponseDto |
| 400 | Invalid or missing visibility value | #/components/schemas/ApiErrorResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 400 example

```json
{
  "statusCode": 400,
  "message": "Validation failed",
  "error": "HTTP_BAD_REQUEST"
}
```

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```
